Namespaces | Functions
EPUBPath.cpp File Reference
`#include <algorithm>`
`#include <iterator>`
`#include <utility>`
`#include <boost/algorithm/string/classification.hpp>`
`#include <boost/algorithm/string/join.hpp>`
`#include <boost/algorithm/string/split.hpp>`
`#include <boost/algorithm/string/trim.hpp>`
`#include "EPUBPath.h"`

## Namespaces
| libepubgen

## Functions
bool | libepubgen::operator== (const EPUBPath &left, const EPUBPath &right)
bool | libepubgen::operator!= (const EPUBPath &left, const EPUBPath &right)
const EPUBPath | libepubgen::operator/ (const EPUBPath &base, const EPUBPath &subpath)
const EPUBPath | libepubgen::operator/ (const EPUBPath &base, const std::string &pathComponent)
void | libepubgen::swap (EPUBPath &left, EPUBPath &right)